summaryrefslogtreecommitdiff
path: root/config/chroot_local-hooks/xx-04-cleanup
diff options
context:
space:
mode:
authorHolger Paradies <retabell@gmx.de>2013-09-07 18:38:10 +0200
committerAndreas Loibl <andreas@andreas-loibl.de>2013-09-10 22:07:02 +0200
commit9b63683dff36c48c5f746195d2ec083556d3b973 (patch)
tree7d66a7a477f8c0608229abd8d8db1c0ebf4990d2 /config/chroot_local-hooks/xx-04-cleanup
parent53f06de9e72a14cba261e7170432adf794473388 (diff)
downloadkanotix-9b63683dff36c48c5f746195d2ec083556d3b973.zip
kanotix-9b63683dff36c48c5f746195d2ec083556d3b973.tar.gz
rename 04-cleanup to xx-04-cleanup , so we have a cleanup hook it should be executed at the last hook
Diffstat (limited to 'config/chroot_local-hooks/xx-04-cleanup')
-rwxr-xr-xconfig/chroot_local-hooks/xx-04-cleanup28
1 files changed, 28 insertions, 0 deletions
diff --git a/config/chroot_local-hooks/xx-04-cleanup b/config/chroot_local-hooks/xx-04-cleanup
new file mode 100755
index 0000000..560cced
--- /dev/null
+++ b/config/chroot_local-hooks/xx-04-cleanup
@@ -0,0 +1,28 @@
+#!/bin/sh
+export http_proxy=
+#apt-get remove --yes --purge aptitude dselect nano vim-tiny libdiscover1 resolvconf
+apt-get remove --yes --purge nano vim-tiny libdiscover1 resolvconf
+/usr/sbin/remove-orphans || true
+# Removing unused files
+find . -name *~ | xargs rm -f
+# Cleaning apt lists
+rm -rf /var/lib/apt/lists
+mkdir -p /var/lib/apt/lists/partial
+# Cleaning apt cache
+rm -rf /var/cache/apt
+mkdir -p /var/cache/apt/archives/partial
+# Cleaning /etc/hosts
+rm -f /etc/hosts
+# Truncating logs
+for FILE in $(find /var/log/ -type f)
+do
+ : > ${FILE}
+done
+# custom cleanup
+rm -f /var/cache/apt/*.bin
+dpkg --clear-avail
+apt-cache gencaches
+update-pciids || true
+rm -f /usr/share/misc/pci.ids.*
+update-usbids || true
+rm -f /var/lib/usbutils/usb.ids.*